org.apache.solr

## Class SolrTestCaseHS.SolrInstances

- java.lang.Object
- - org.apache.solr.SolrTestCaseHS.SolrInstances

- Enclosing class:
    SolrTestCaseHS

      public static class SolrTestCaseHS.SolrInstances
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SolrTestCaseHS.Client` | `client`
    `List<SolrTestCaseHS.SolrInstance>` | `slist`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrInstances(int numServers, String solrconfig, String schema)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrTestCaseHS.Client` | `getClient(int seed)`
    `String` | `getShards()`
    `static String` | `getShardsParam(List<SolrTestCaseHS.SolrInstance> instances)`
    `List<org.apache.solr.client.solrj.SolrClient>` | `getSolrJs()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### slist

          public List<SolrTestCaseHS.SolrInstance> slist

    - #### client

          public SolrTestCaseHS.Client client

  - ### Constructor Detail

    - #### SolrInstances

          public SolrInstances(int numServers,
                               String solrconfig,
                               String schema)
                        throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### stop

          public void stop()
                    throws Exception

      Throws:
        `Exception`

    - #### getShards

          public String getShards()

    - #### getSolrJs

          public List<org.apache.solr.client.solrj.SolrClient> getSolrJs()

    - #### getClient

          public SolrTestCaseHS.Client getClient(int seed)

    - #### getShardsParam

          public static String getShardsParam(List<SolrTestCaseHS.SolrInstance> instances)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.